Package gov.nasa.gsfc.sscweb.schema

# Class HemisphereOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.HemisphereOptions

public class HemisphereOptions extends Object
Hemisphere listing options. <p>Java class for HemisphereOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="HemisphereOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="North" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="South" type="{http://www.w3.org/2001/XMLSchema}boolean"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `north`
  Specifies whether the northern hemisphere region is to be included.
  `protected boolean`
  `south`
  Specifies whether the southern hemisphere region is to be included.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HemisphereOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isNorth()`
  Specifies whether the northern hemisphere region is to be included.
  `boolean`
  `isSouth()`
  Specifies whether the southern hemisphere region is to be included.
  `void`
  `setNorth(boolean value)`
  Sets the value of the north property.
  `void`
  `setSouth(boolean value)`
  Sets the value of the south property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### north

    protected boolean north
    Specifies whether the northern hemisphere region is to be included.

  - ### south

    protected boolean south
    Specifies whether the southern hemisphere region is to be included.

- ## Constructor Details

  - ### HemisphereOptions

    public HemisphereOptions()

- ## Method Details

  - ### isNorth

    public boolean isNorth()
    Specifies whether the northern hemisphere region is to be included.

  - ### setNorth

    public void setNorth(boolean value)
    Sets the value of the north property.

  - ### isSouth

    public boolean isSouth()
    Specifies whether the southern hemisphere region is to be included.

  - ### setSouth

    public void setSouth(boolean value)
    Sets the value of the south property.